--- title: "Add gateway response template" slug: "apigateway-posttemplates" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-posttemplates" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Add gateway response template Available in Classic and VPC Define and add a mapping template to be returned in the gateway response body. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | POST | /api/v1/products/{product-id}/apis/{api-id}/responses/{response-type}/templates | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | Product ID that the API belongs to - 1 - 10 - See [View product list](/docs/en/apigateway-product-getproductlist) | | `api-id` | String | Required | ID of the API whose mapped template you want to add - 1 - 10 characters - See [View API](/docs/en/apigateway-api-apis) | | `response-type` | String | Required | Gateway response type - 1 - 45 characters - See [View gateway response](/docs/en/apigateway-getresponses) | ### Request syntax The request syntax is as follows. ``` { "mappingTemplate" : "mappingTemplate", "contentType" : "contentType" } ``` ### Request body The following describes the request body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `mappingTemplate` | String | Required | Content of the template to add - 1 - 500 characters | | `contentType` | String | Required | Content type - Equivalent to the Content-Type header in HTTP - 1 - 100 characters - `application/json`, `application/xml`, `text/plain` | ### Request example The following is a sample request. ``` curl --location --request POST 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/responses/AUTHENTICATION_FAILED/templates' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "mappingTemplate" : "{ \"error\": \"authentication error\" }", "contentType" : "application/json" }' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "apiId" : "apiId", "responseType" : "responseType", "contentType" : "contentType", "mappingTemplate" : "mappingTemplate" } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "apiId": "cvcohvd2xj", "responseType": "AUTHENTICATION_FAILED", "contentType": "application/json", "mappingTemplate": "{ \"error\": \"authentication error\" }" } ```